com.holonplatform.datastore.mongo.core

## Interface ReadOperationConfiguration

-     public interface ReadOperationConfiguration

  A set of MongoDB Datastore read operations configuration properties.
  Since:
    5.2.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static com.holonplatform.core.config.ConfigProperty<Integer>` | `QUERY_BATCH_SIZE` Query operation batch size.
    `static com.holonplatform.core.config.ConfigProperty<com.mongodb.client.model.Collation>` | `QUERY_COLLATION` Query operation collation.
    `static com.holonplatform.core.config.ConfigProperty<String>` | `QUERY_COMMENT` Query operation comment.
    `static com.holonplatform.core.config.ConfigProperty<com.mongodb.CursorType>` | `QUERY_CURSOR_TYPE` Query operation cursor type.
    `static com.holonplatform.core.config.ConfigProperty<org.bson.conversions.Bson>` | `QUERY_HINT` Query operation hint for which index to use.
    `static com.holonplatform.core.config.ConfigProperty<org.bson.conversions.Bson>` | `QUERY_MAX` Query operation exclusive upper bound for a specific index.
    `static com.holonplatform.core.config.ConfigProperty<org.bson.conversions.Bson>` | `QUERY_MIN` Query operation minimum inclusive lower bound for a specific index.
    `static com.holonplatform.core.config.ConfigProperty<Boolean>` | `QUERY_PARTIAL` Whether to get partial results from a sharded cluster if one or more shards are unreachable (instead of throwing an error) for a query operation.
    `static com.holonplatform.core.config.ConfigProperty<Boolean>` | `QUERY_RETURN_KEY` Whether the query operation will return only the index keys in the resulting documents.
    `static com.holonplatform.core.config.ConfigProperty<Boolean>` | `QUERY_SHOW_RECORD_ID` Whether to add a `$recordId` field to the returned documents of a query operation.
    `static com.holonplatform.core.config.ConfigProperty<Long>` | `QUERY_TIMEOUT` Query operation timeout (max execution time), expressed in `QUERY_TIMEOUT_UNIT`.
    `static com.holonplatform.core.config.ConfigProperty<TimeUnit>` | `QUERY_TIMEOUT_UNIT` Query operation timeout unit.
    `static com.holonplatform.core.config.ConfigProperty<com.mongodb.ReadConcern>` | `READ_CONCERN` `ReadConcern` operation configuration
    `static com.holonplatform.core.config.ConfigProperty<com.mongodb.ReadPreference>` | `READ_PREFERENCE` `ReadPreference` operation configuration

- - ### Field Detail

    - #### READ_CONCERN

          static final com.holonplatform.core.config.ConfigProperty<com.mongodb.ReadConcern> READ_CONCERN

      `ReadConcern` operation configuration

    - #### READ_PREFERENCE

          static final com.holonplatform.core.config.ConfigProperty<com.mongodb.ReadPreference> READ_PREFERENCE

      `ReadPreference` operation configuration

    - #### QUERY_TIMEOUT

          static final com.holonplatform.core.config.ConfigProperty<Long> QUERY_TIMEOUT

      Query operation timeout (max execution time), expressed in `QUERY_TIMEOUT_UNIT`.

    - #### QUERY_TIMEOUT_UNIT

          static final com.holonplatform.core.config.ConfigProperty<TimeUnit> QUERY_TIMEOUT_UNIT

      Query operation timeout unit. Milliseconds by default.

    - #### QUERY_CURSOR_TYPE

          static final com.holonplatform.core.config.ConfigProperty<com.mongodb.CursorType> QUERY_CURSOR_TYPE

      Query operation cursor type.

    - #### QUERY_BATCH_SIZE

          static final com.holonplatform.core.config.ConfigProperty<Integer> QUERY_BATCH_SIZE

      Query operation batch size.

    - #### QUERY_COLLATION

          static final com.holonplatform.core.config.ConfigProperty<com.mongodb.client.model.Collation> QUERY_COLLATION

      Query operation collation.

    - #### QUERY_COMMENT

          static final com.holonplatform.core.config.ConfigProperty<String> QUERY_COMMENT

      Query operation comment.

    - #### QUERY_HINT

          static final com.holonplatform.core.config.ConfigProperty<org.bson.conversions.Bson> QUERY_HINT

      Query operation hint for which index to use.

    - #### QUERY_MAX

          static final com.holonplatform.core.config.ConfigProperty<org.bson.conversions.Bson> QUERY_MAX

      Query operation exclusive upper bound for a specific index.

    - #### QUERY_MIN

          static final com.holonplatform.core.config.ConfigProperty<org.bson.conversions.Bson> QUERY_MIN

      Query operation minimum inclusive lower bound for a specific index.

    - #### QUERY_PARTIAL

          static final com.holonplatform.core.config.ConfigProperty<Boolean> QUERY_PARTIAL

      Whether to get partial results from a sharded cluster if one or more shards are unreachable (instead of throwing an error) for a query operation.

    - #### QUERY_RETURN_KEY

          static final com.holonplatform.core.config.ConfigProperty<Boolean> QUERY_RETURN_KEY

      Whether the query operation will return only the index keys in the resulting documents.

    - #### QUERY_SHOW_RECORD_ID

          static final com.holonplatform.core.config.ConfigProperty<Boolean> QUERY_SHOW_RECORD_ID

      Whether to add a `$recordId` field to the returned documents of a query operation.

Copyright © 2019 The Holon Platform. All rights reserved.